LIBMTP_device_entry_struct Struct Reference
libmtp data structures

`#include <libmtp.h>`

## Data Fields

char * | name
uint16_t | vendor_id
uint16_t | product_id
uint32_t | device_flags

## Detailed Description

A data structure to hold MTP device entries.

Examples:
  hotplug.c.

## Field Documentation

uint32_t LIBMTP_device_entry_struct::device_flags

Bugs, device specifics etc

char* LIBMTP_device_entry_struct::name

The descriptive name of this device

Examples:
  hotplug.c.

uint16_t LIBMTP_device_entry_struct::product_id

Product ID for this device

Examples:
  hotplug.c.

uint16_t LIBMTP_device_entry_struct::vendor_id

Vendor ID for this device

Examples:
  hotplug.c.

The documentation for this struct was generated from the following file:

- /home/jenkins/Optware-ng/buildroot-x86_64/builds/libmtp/src/libmtp.h